%global pypi_name cheroot

Name:           python-%{pypi_name}
Version:        8.4.5
Release:        %mkrel 1
Summary:        Highly-optimized, pure-python HTTP server
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/projects/josepy
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%package -n     python3-%{pypi_name}
Summary:        Highly-optimized, pure-python HTTP server
Group:          Development/Python
Requires:       python3dist(six) >= 1.11
Requires:       python3dist(more-itertools) >= 2.6
Requires:       python3dist(pyopenssl)
Requires:       python3dist(trustme)
Requires:       python3dist(jaraco.functools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(jaraco.functools)
# testmon is not needed to tests to run successfully
# the f31 version of testmon requires pytest < 4
# which is not in f31
# BuildRequires:  python3dist(pytest-testmon)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(requests-unixsocket)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.0
BuildRequires:  python3dist(setuptools-scm-git-archive) >= 1.0
BuildRequires:  python3dist(trustme)

%description -n python3-%{pypi_name}
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%package -n python-%{pypi_name}-doc
Summary:        cheroot documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx-theme-alabaster
BuildRequires:  python3dist(sphinx-tabs)
BuildRequires:  python3dist(sphinxcontrib-spelling)
BuildRequires:  python3dist(rst-linker)
BuildRequires:  python3dist(jaraco-packaging)
BuildRequires:  python3dist(docutils)
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  git-core

%description -n python-%{pypi_name}-doc
Documentation for cheroot

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# remove backports.functools_lru_cache from setup.cfg. it's a py2 dep
sed -i '/backports.functools_lru_cache/d' setup.cfg

# testmon is not needed to tests to run successfully
# the f31 version of testmon requires pytest < 4
# which is not in f31
sed -i 's/ --testmon//' pytest.ini
sed -i 's/ -n auto//' pytest.ini
sed -i '/pytest-testmon/d' setup.cfg

%build
%py3_build

# Build documentation
PYTHONPATH=${PWD} sphinx-build -vvv docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE.md
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/cheroot

%files -n python-%{pypi_name}-doc
%license LICENSE.md
%doc html


%changelog
* Sat Nov 14 2020 guillomovitch <guillomovitch> 8.4.5-1.mga8
+ Revision: 1645048
- imported package python-cheroot

